{% extends 'ticketing/base.html' %}
{% load bootstrap3 %}
{% load static %}

{% block style %}
    {{ block.super }}
    <link rel="stylesheet" href="{% static 'ticketing/css/style.css' %}">
{% endblock style %}
{% block content %}
    <h1>Valethon</h1>
    <div class="row">
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-12">
                    <div class="panel panel-default text-center">
                        <div class="panel-heading text-capitalize"><h4>{{ now | date:'l j F' }}</h4></div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading"><h4>Places vendues</h4></div>
                        <div class="panel-body text-center">
                            <span class="valethon-value">{{ stats.sold_tickets }}</span>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading"><h4>Restant à vendre</h4></div>
                        <div class="panel-body text-center">
                            <span class="valethon-value">{{ stats.left_tickets }}</span>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading"><h4>Remplissage</h4></div>
                        <div class="panel-body text-center">
                            <span class="valethon-value">{{ stats.fill | floatformat:2 }}%</span>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading"><h4>A vendre par jour</h4></div>
                        <div class="panel-body text-center">
                            <span class="valethon-value">{{ stats.left_tickets_by_days | floatformat:0 }}</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div id="sales_by_entry"></div>
        </div>
        <div class="col-md-12">
            <div id="sales_by_day"></div>
        </div>

        <div class="col-md-12">
            <table class="table table-bordered table-striped table-hover">
                <thead>
                <tr>
                    <th>Jour</th>
                    {% for location in locations %}
                        <th>{{ location.name }}</th>
                    {% endfor %}
                    <th>Yurplan</th>
                    <th style="background: #BBB">Entrées</th>
                </tr>
                </thead>
                <tbody>
                {% for sales in stats.by_day %}
                    {% if sales.day <= now.date %}
                        <tr>
                            <td>{{ sales.day | date:'l j F' }}</td>
                            {% for sales_loc in sales.by_location %}
                                <td>
                                    <strong>Total</strong> : {{ sales_loc.total_sales }}
                                    <ul>
                                        {% for sales_entry in sales_loc.by_entry %}
                                            <li><strong>{{ sales_entry.entry }}</strong> : {{ sales_entry.count }}</li>
                                        {% endfor %}
                                    </ul>
                                </td>
                            {% endfor %}
                            <td style="background: #BBB">{{ sales.validation_at_this_day }}</td>
                        </tr>
                    {% endif %}
                {% endfor %}

                </tbody>
            </table>
        </div>
    </div>
{% endblock %}

{% block javascript %}
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">

        // Load the Visualization API and the corechart package.
        google.charts.load('current', {'packages': ['corechart']});

        // Set a callback to run when the Google Visualization API is loaded.
        google.charts.setOnLoadCallback(drawChart);

        // Callback that creates and populates a data table,
        // instantiates the pie chart, passes in the data and
        // draws it.
        function drawChart() {
            // Create the data table.
            var data = new google.visualization.DataTable();
            data.addColumn('string', 'Tarif');
            data.addColumn('number', 'Ventes');
            data.addRows([
                {% for sale in stats.sales %}
                    ['{{ sale.name }}', {{sale.sold_tickets}}],
                {% endfor %}
            ]);

            // Set chart options
            var options = {'title': 'Répartition des place/tarifs', height: 300};

            // Instantiate and draw our chart, passing in some options.
            var chart = new google.visualization.PieChart(document.getElementById('sales_by_entry'));
            chart.draw(data, options);

            data = new google.visualization.DataTable();
            data.addColumn('date', 'Jour');
            data.addColumn('number', 'Ventes');
            data.addRows([
                {% for sale in stats.by_day %}
                    [new Date({{ sale.day.year }}, {{ sale.day.month|add:"-1" }}, {{ sale.day.day }}), {{sale.at_this_day}}],
                {% endfor %}
            ]);

            options = {
                title: 'Ventes cumulées',
                hAxis: {
                    title: 'Jours', titleTextStyle: {color: '#333'},

                    format: 'd/M/yy',
                    gridlines: {count: 7}
                },
                vAxis: {minValue: 0, maxValue: {{event.max_seats}}},
                height: 500
            };

            var chart = new google.visualization.AreaChart(document.getElementById('sales_by_day'));
            chart.draw(data, options);
        }

        $(function () {

            $(window).resize(drawChart);
            setTimeout(function () {
                window.location.reload();
            }, 20 * 1000)
        })
    </script>
{% endblock %}